import 'package:objd/basic/entity.dart';
import 'package:objd/basic/for_list.dart';
import 'package:objd/basic/score.dart';
import 'package:objd/basic/scoreboard.dart';
import 'package:objd/basic/widget.dart';
import 'package:objd/build/context.dart';

abstract class Stat extends Score {
	Stat(String score, Entity entity) : super(entity, score, addNew: false);

	Widget init(Context context) {
		return For.of([
			!context.prod ? Scoreboard.remove(score) : null,
			Scoreboard(score, addIntoLoad: false)
		]);
	}
}
